libzypp 17.37.10

zypp::Compare< Tp > Struct Template Reference

General compare functor returning -1, 0, 1. More...

`#include <zypp/RelCompare.h>`

## Public Member Functions
int | operator() (const Tp &lhs, const Tp &rhs) const

## Detailed Description

template<class Tp>
struct zypp::Compare< Tp >

General compare functor returning -1, 0, 1.

Expects Tp::compare to be a static comparison method returning -1, 0, 1 if the elements compare <,==,>.

Definition at line 86 of file RelCompare.h.

## Member Function Documentation

## ◆ operator()()

template<class Tp>

int zypp::Compare< Tp >::operator() | ( | const Tp & | lhs,
|  | const Tp & | rhs ) const
| inline

Definition at line 88 of file RelCompare.h.

The documentation for this struct was generated from the following file:

- zypp/RelCompare.h